<?php

/**
 * The plugin bootstrap file
 *
 *
 * @link              https://welaunch.io
 * @since             1.0.0
 * @package           WooCommerce_Ultimate_Pricing
 *
 * @wordpress-plugin
 * Plugin Name:       WooCommerce Ultimate Pricing
 * Plugin URI:        https://www.persianscript.ir
 * Description:       Change prices per user role, categories, tags and more
 * Version:           1.1.6
 * Author:            پرشین اسکریپت
 * Author URI:        https://www.persianscript.ir
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       woocommerce-ultimate-pricing
 * Domain Path:       /languages
 * WC tested up to:   5.0.0
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-woocommerce-ultimate-pricing-activator.php
 */
function welaunch_woocommerce_ultimate_pricing_activate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-woocommerce-ultimate-pricing-activator.php';
	WooCommerce_Ultimate_Pricing_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-woocommerce-ultimate-pricing-deactivator.php
 */
function welaunch_woocommerce_ultimate_pricing_deactivate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-woocommerce-ultimate-pricing-deactivator.php';
	WooCommerce_Ultimate_Pricing_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'welaunch_woocommerce_ultimate_pricing_activate' );
register_deactivation_hook( __FILE__, 'welaunch_woocommerce_ultimate_pricing_deactivate' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-woocommerce-ultimate-pricing.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function welaunch_woocommerce_ultimate_pricing_run() {

	$plugin_data = get_plugin_data( __FILE__ );
	$version = $plugin_data['Version'];

	$plugin = new WooCommerce_Ultimate_Pricing($version);
	$plugin->run();

	return $plugin;
}

include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
if ( is_plugin_active( 'woocommerce/woocommerce.php') && (is_plugin_active('redux-dev-master/redux-framework.php') || is_plugin_active('redux-framework/redux-framework.php') || is_plugin_active('welaunch-framework/welaunch-framework.php') ) ){
	$WooCommerce_Ultimate_Pricing = welaunch_woocommerce_ultimate_pricing_run();
} else {
	add_action( 'admin_notices', 'welaunch_woocommerce_ultimate_pricing_installed_notice' );
}

function welaunch_woocommerce_ultimate_pricing_installed_notice()
{
	?>
    <div class="error">
      <p><?php esc_html_e( 'WooCommerce Ultimate Pricing requires the WooCommerce & weLaunch Framework plugin. Please install or activate them before: https://www.welaunch.io/updates/welaunch-framework.zip', 'woocommerce-ultimate-pricing'); ?></p>
    </div>
    <?php
}